Page MenuHomePhabricator

Special:Translate message tpt-discouraged-language shows <bdi> tags
Closed, ResolvedPublic

Description

See screenshot:

Outcome

Unparsed <bdi> tags are no longer shown in the priority languages warning in Special:Translate.

Event Timeline

Amire80 created this task.Nov 5 2015, 9:27 AM
Amire80 claimed this task.
Amire80 raised the priority of this task from to Medium.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a project: I18n. · View Herald TranscriptNov 5 2015, 9:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 251206 had a related patch set uploaded (by Amire80):
Don't escape HTML in tpt-discouraged-language

https://gerrit.wikimedia.org/r/251206

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 16 2016, 5:36 AM

Change 251206 abandoned by Nikerabbit:
Don't escape HTML in tpt-discouraged-language

Reason:
This patch has not seen updated in a long time. If anyone wants to work on this, please unabandon or ask for unabandoning or submit a new patch.

https://gerrit.wikimedia.org/r/251206

Framawiki moved this task from Backlog to Doing on the good first task board.Dec 2 2017, 1:37 PM
Amire80 moved this task from Untriaged to RTL on the I18n board.Feb 19 2018, 1:46 PM
Aklapper removed Amire80 as the assignee of this task.Jun 19 2020, 4:24 PM

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)

Nikerabbit reopened this task as Open.Aug 25 2020, 1:24 PM

Keeping the older task open.

Nikerabbit renamed this task from tpt-discouraged-language shows explicit <bdi> tags when rendering to Special:Translate message tpt-discouraged-language shows <bdi> tags.Aug 25 2020, 1:25 PM
Nikerabbit added a subscriber: Kizule.

Change 636876 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Avoid showing bdi tags on Special:Translate

https://gerrit.wikimedia.org/r/636876

Nikerabbit moved this task from RTL to Parsing on the I18n board.

Change 636876 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Avoid showing bdi tags on Special:Translate

https://gerrit.wikimedia.org/r/636876

abi_ closed this task as Resolved.Oct 29 2020, 8:43 AM
abi_ added a subscriber: abi_.

This was fixed and tested as part of the weekly translatewiki deployment and for MLEB release.

Nikerabbit updated the task description. (Show Details)